/***************************************************************************
                          ksensorssplash.cpp  -  description
                             -------------------
    begin                : s�b abr 20 2002
    Copyright	Giuseppe Della Bianca<giusdbg@gmail.com>

    original author	 : Miguel Novas
    email                : michaell@teleline.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qscreen.h>
#include <qdebug.h>

#include "general.h"
#include "ksensorssplash.h"


KSensorsSplash::KSensorsSplash(QWidget *parent, const QString &name ) :
    QWidget(parent /* ,name, WStyle_NoBorder | WStyle_Customize | WDestructiveClose | WStyle_StaysOnTop */ )
{
   Q_UNUSED(name);
   
   QSize qsScreen;
   QPixmap pm;
 
   idTimer = 0;
   
   pm.load( findIcon( "ksensorssplash.png" ) );
   
   QPalette pal = palette();
   pal.setBrush(QPalette::Window, QBrush( pm ));
   setPalette(pal); 

   qsScreen = QGuiApplication::primaryScreen()->size();

   setGeometry( qsScreen.width ()/2-pm.width()/2, qsScreen.height()/2-pm.height()/2, pm.width(),pm.height() );

   show();
   if ( !idTimer )
      idTimer = startTimer( 4000 );
}

KSensorsSplash::~KSensorsSplash(){
}

void KSensorsSplash::timerEvent( QTimerEvent * )
{
 close();
}
